# Using Variables

Syntax:

    VariableName

Example:

    genius> e
    = 2.71828182846

To evaluate a variable by itself, just enter the name of the variable. This will return the value of the variable. You can use a variable anywhere you would normally use a number or string. In addition, variables are necessary when defining functions that take arguments (see ).

## Using Tab completion

You can use Tab completion to get &appname; to complete variable names for you. Try typing the first few letters of the name and pressing `Tab`.

## Variable names are case sensitive

The names of variables are case sensitive. That means that variables named `hello`, `HELLO` and `Hello` are all different variables.

## Setting Variables

Syntax:

    <identifier> = <value>
    <identifier> := <value>

Example:

    x = 3
    x := 3

To assign to a variable, use the `=` or `:=` operators. These operators set the value of the variable and return the number you set, so you can do things like

    a = b = 5

The `=` and `:=` operators can both be used to set variables. The difference between them is that the `:=` operator always acts as an assignment operator, whereas the `=` operator may be interpreted as testing for equality when used in a context where a Boolean expression is expected.

## Global variables

Sometimes you'd like to set a global variable from inside a function. For this, use the `set` function. Passing a string or a quoted identifier to this function sets the variable globally. For example, to set `a` to the value 3 you could call:

    set(`a,3)

or:

    set("a",3)

Like most programming languages, &appname; has two different types of variables: local (a variable set inside a function will not exist outside the function) and global (doesn't matter where you set them).

## Built-in variables

GEL has a number of built-in ‘variables’, such as `e`. These are widely used constants with a preset value, and they cannot be assigned new values. There are a number of other built-in variables, such as `pi` and `GoldenRatio`. See for a full list.

## Previous result variable

The `Ans` and `ans` variables can be used to get the result of the last expression. For example, if you had performed some calculation, to add 389 to the result you could do:

    Ans+389